<?php
	//引入语言包
	$a_langpackage=new albumlp;
	
	//必须登录才能浏览该页面
	require("foundation/auser_mustlogin.php");
	
	//引入模块公共方法文件
	require("foundation/module_album.php");

	//变量取得
	$album_id=short_check(get_argg('album_id'));
	$user_id=get_sess_userid();

	//变量定义区
	$t_album = $tablePreStr."album";
	$t_online = $tablePreStr."online";
	$session_code=md5(rand(0,10000));
	
	$sess_code_str=$session_code."|".$user_id;

	$dbo = new dbex;
	dbtarget('r',$dbServs);
	$sql="select album_id from $t_album where user_id=$user_id";
	$is_album=$dbo->getRow($sql);
	if(empty($is_album)){
		echo '<script type="text/javascript">location.href="modules.php?app=album_creat";</script>';
	}	

	dbtarget('w',$dbServs);
	$sql="update $t_online set session_code = '$session_code'";
	$dbo->exeUpdate($sql);
	
?>